#
# spec file for package telepathy-mission-control (Version 5.2.6)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Url:            http://mission-control.sourceforge.net/

Name:           telepathy-mission-control
Version:        5.2.6
Release:        0.1.2
License:        LGPLv2.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gconf2-devel libxslt-devel
BuildRequires:  dbus-1-glib-devel >= 0.73
BuildRequires:  fdupes
BuildRequires:  python-xml
BuildRequires:  telepathy-glib-devel >= 0.7.1
Group:          System/Libraries
Summary:        Telepathy Mission Control instant messaging connection manager
Requires:       dbus-1-glib >= 0.73
Source:         %{name}-%{version}.tar.bz2
# PATCH-NEEDS-REBASE lockdown-protocols.patch fdo21699 vuntz@novell.com -- Sent upstream for discussion, it will need a rewrite for MC5 WAS: PATCH-FEATURE-UPSTREAM
Patch1:         lockdown-protocols.patch

%description
Mission Control, or MC, is a Telepathy component providing a way for
"end-user" applications to abstract some of the details of connection
managers, to provide a simple way to manipulate a bunch of connection
managers at once, to remove the need to have in each program the
account definitions and credentials, to manage channel handling/request
and to manage presence statuses.

%package devel
License:        LGPLv2.1
Group:          Development/Libraries/C and C++
Summary:        Telepathy Mission Control instant messaging connection manager
Requires:       %{name} = %{version}
Requires:       dbus-1-devel
Requires:       telepathy-glib-devel >= 0.7.1

%description devel
Mission Control, or MC, is a Telepathy component providing a way for
"end-user" applications to abstract some of the details of connection
managers, to provide a simple way to manipulate a bunch of connection
managers at once, to remove the need to have in each program the
account definitions and credentials, to manage channel handling/request
and to manage presence statuses.

%prep
%setup -q
# NEEDS REBASE
# %patch1 -p0

%build
%configure --disable-static --with-pic\
    --libexecdir=%{_bindir}
%__make %{?jobs:-j %jobs}

%install
%makeinstall
%{__rm} -f %{buildroot}%{_libdir}/*.la
# create symlinks for man pages
%fdupes -s $RPM_BUILD_ROOT/%_mandir
# create hardlinks for the rest
%fdupes $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
%{__rm} -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%{_bindir}/mc-*
%{_bindir}/mission-control-5
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.*.service
# No soversion at the moment
%{_libdir}/*.so
%{_mandir}/man?/mc-*
%{_mandir}/man?/mission-control-5.*

%files devel
%defattr(-,root,root)
%{_includedir}/libmcclient/
%{_libdir}/pkgconfig/*.pc
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/libmcclient
%{_datadir}/gtk-doc/html/libmissioncontrol-server

%changelog
* Thu Oct  8 2009 vuntz@opensuse.org
- Update to version 5.2.6:
  + Enhancements:
  - mc-wait-for-name: give up after 5 minutes and exit
    EX_TEMPFAIL. Also exit with EX_UNAVAILABLE (instead of 1) if
    the session bus doesn't work, EX_USAGE (instead of 1) on
    wrong arguments, and EX_USAGE (instead of g_critical() and
    never terminating) if the requested bus name is not valid
  + Fixes:
  - mc_account_conditions_call_when_ready: explain why it's OK to
    ignore the result of mc_iface_call_when_ready_int, which was
    a Coverity false-positive
  - Consider calls to be potentially-missed if they terminate for
    reason ERROR, even if we're the actor, because that's what
    happens in Gabble >= 0.8.4 if the streaming implementation
    (i.e. telepathy-farsight) discovers that none of the
    candidates work and calls Error()
  - Fix a race condition in the test
    account-manager/make-valid.py, which would sometimes
    incorrectly make it fail
  - Add a regression test for dispatching and requests being
    delayed while waiting for a plugin to make an asynchronous
    request for permission
* Mon Sep 28 2009 vuntz@opensuse.org
- Update to version 5.2.5:
  + Fixes:
  - If we see too many transitions from CONNECTED to DISCONNECTED
    state (i.e.  we get kicked off by the server more than 3
    times in 2 minutes), stop reconnecting; also, don't reset the
    exponential backoff until we've been connected for 2 minutes.
    This avoids reconnecting in a tight loop if the server lets
    us connect, then immediately drops our connection.
  - fdo#23935: call AddRequest if appropriate even on clients
    that match only channels with Requested=true, and use
    requested channels' complete properties in preference to the
    properties that were requested
  - Make signed values in .client files work instead of
    g_critical'ing
  - Add MCD_CHANNEL_STATUS_ABORTED to avoid sometimes counting
    aborted channels in mcd_dispatcher_get_channel_type_usage
  - Fix some minor memory leaks
- Changes from version 5.2.4:
  + Fixes:
  - Deal with the user's alias in a race-free way by calling
    GetAliases as well as binding to the AliasesChanged signal
  - Fix a reference leak when recovering from a connection being
    cancelled before RequestConnection has returned
  - Stop abusing glibc internal feature-test macros
  - Fix some race conditions in the regression tests
* Mon Sep 14 2009 vuntz@opensuse.org
- Update to version 5.2.3:
  + Fixes:
  - fdo#23807: even if someone without gconf headers makes the
    tarball, ship the necessary files so people with gconf
    headers can compile it
  - Resync what's in git with what's in tarball releases: remove
    some unused source files from git, add more support files to
    tarballs, and don't distribute any generated source in
    tarballs
- Remove mc-account-convert.1, fixed upstream.
* Wed Sep  9 2009 vuntz@opensuse.org
- Update to version 5.2.2:
  + Enhancements:
  - Better debug output under various circumstances, including
    outputting the version number on startup
  - Add the concept of always-on accounts, which can't be
    disabled or otherwise put offline
  - Try to set initial presence before calling Connect
  + Fixes:
  - fdo#23778: make sure account details (including passwords)
    are stored in directories readable only by the user.
  - Replace deprecated g_strcasecmp with g_ascii_strcasecmp
  - Don't close old-style Tubes channels if they can't be
    dispatched, since that closes the new-style
    StreamTube/DBusTube channels that everyone should be using,
    as a side-effect
- Add mc-account-convert.1 as source: it's missing in this tarball
  (fdo#23807)
* Sun Aug 30 2009 vuntz@novell.com
- Remove libtelepathy-devel, gnome-keyring-devel BuildRequires.
- Remove libtelepathy-devel Requires from devel package.
* Thu Aug 27 2009 dimstar@opensuse.org
- Update to version 5.2.1:
  + This release contains numerous changes, see NEWS for details.
    It is needed to have newer empathy work.
  + Most important changes are:
  - Clients are no longer expected to implement the
    ChannelHandler interface.
  - The design of channel dispatching copes better with having
    multiple user interface components installed.
  - Accounts' presence, avatar and nickname are now independent
  - Accounts no longer have to belong to a "profile"
  - Accounts are now stored in a flat file, rather than by
    abusing GConf
  - libmissioncontrol-server has changed its API and ABI
    considerably, and is not yet considered stable.
  - libmissioncontrol no longer exists, and has been replaced by
    libmcclient
* Tue May 12 2009 vuntz@novell.com
- Tag lockdown-protocols.patch.
- Remove checks for old versions of openSUSE.
* Fri Jan  9 2009 crrodriguez@suse.de
- remove static libraries and "la" files
* Mon Oct 27 2008 gburt@suse.de
- Modify lockdown-protocols.patch to use protocols_locked_down
    gconf bool to determine whether to filter the allowed protocols
    at all.  Fixes bnc#437105.
* Mon Sep 22 2008 gburt@suse.de
- Add lockdown-protocols.patch that allows specifying a list of
    allowed protocols in GConf.  Part of fate#3126.
* Fri Jul 25 2008 hfiguiere@suse.de
- Upgrade to 4.67
  + Don't try to close the channel, if the proxy is already invalidated.
  + Fixes: #1936865
  + Store passwords in gnome-keyring, if available. Fixes: #1928094, #1938135
  + Add DBus CFLAGS when compiling. Fixes: #1988768
  + Give the system proxy settings higher priority over the account
    profile/protocol defaults. Fixes: NB#2009342.
  + Set register param to FALSE once connected. Fixes: NB#1763775.
- Build with gnome-keyring support
* Fri Apr  4 2008 hfiguiere@suse.de
- Fix a type that cause build breakage
* Thu Apr  3 2008 hfiguiere@suse.de
- Make the spec file nicer
  + use fdupes
  + refactor using proper macros
  + add missing requires for the -devel package
* Mon Mar 31 2008 vuntz@suse.de
- Update to version 4.64:
  + Fix a crash when dispatching a channel to external filters.
- Changes from version 4.63:
  + Add Account and AccountManager specifications, and implement
    stubs in libmcclient.
  + Bug fixes.
- Changes from version 4.62:
  + Fix warning.
- Changes from version 4.61:
  + Migrate some code from libtelepathy to telepathy-glib.
  + Bug fixes.
- Add python and telepathy-glib-devel buildrequires.
* Tue Mar 18 2008 hfiguiere@suse.de
- Initial checkin
